Skip to content
brain.GitHub
Developer docs OPEN SOURCE
HTTP APIEndpoints

Connect bidirectional runtime RPC

GET
/executors/{id}/rpc

WebSocket upgrade using brain-rpc and brain-auth.TOKEN subprotocols. Commands and replies use the same contract as SSE/HTTP. Browser origins are rejected.

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

id*string

Opaque executor ID.

Match^[a-fA-F0-9]{32}$

Response Body

Connect bidirectional runtime RPC

curl -X GET 'http://127.0.0.1:8080/executors/string/rpc' \  -H 'Authorization: Bearer <BRAIN_TOKEN>'
Empty